Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
rb_io_t::rb_io_enc_t Struct Reference

`#include <io.h>`

## Data Fields
rb_encoding * | enc
rb_encoding * | enc2
int | ecflags
VALUE | ecopts

## Detailed Description

Definition at line 82 of file io.h.

## Field Documentation

int rb_io_t::rb_io_enc_t::ecflags

Definition at line 85 of file io.h.

Referenced by argf_next_argv(), do_writeconv(), io_encoding_set(), make_readconv(), make_writeconv(), pipe_open(), prep_stdio(), rb_io_ascii8bit_binmode(), and rb_io_s_pipe().

VALUE rb_io_t::rb_io_enc_t::ecopts

Definition at line 86 of file io.h.

Referenced by io_encoding_set(), make_readconv(), make_writeconv(), and rb_io_ascii8bit_binmode().

rb_encoding* rb_io_t::rb_io_enc_t::enc

Definition at line 83 of file io.h.

Referenced by do_writeconv(), io_encoding_set(), io_read_encoding(), io_shift_cbuf(), make_readconv(), make_writeconv(), rb_io_ascii8bit_binmode(), rb_io_each_codepoint(), and rb_io_external_encoding().

rb_encoding* rb_io_t::rb_io_enc_t::enc2

Definition at line 84 of file io.h.

Referenced by do_writeconv(), io_encoding_set(), io_input_encoding(), io_set_encoding_by_bom(), make_readconv(), make_writeconv(), rb_io_ascii8bit_binmode(), rb_io_external_encoding(), and rb_io_internal_encoding().

The documentation for this struct was generated from the following file:

- include/ruby/io.h